Package org.eclipse.emf.cdo.common.lock

# Interface CDOLockOwner

public interface CDOLockOwner
A client-side representation of a view owning locks.

Implementation note: All lock owners are `interned`. That means they can safely be compared via "==".

Since:
  4.1
Author:
  Caspar De Groot
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDurableLockingID()`
`int`
`getSessionID()`
`int`
`getViewID()`
`boolean`
`isDurableView()`
Returns `true` if this view is purely durable, i.e., currently not open and active on the client-side, `false` otherwise.

## Method Details

### getSessionID

int getSessionID()

Returns:
  the ID identifying the session that owns the view

### getViewID

int getViewID()

Returns:
  the ID identifying the view within the session

### getDurableLockingID

String getDurableLockingID()

### isDurableView

boolean isDurableView()
Returns `true` if this view is purely durable, i.e., currently not open and active on the client-side, `false` otherwise.